Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
added SMPI_DEP to configure.ac and src/Makefile.am
[simgrid.git] / examples / java / ping_pong / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #########################
18 # How to compile the code
19 # All this to only get a dumb javac *java... Automake still have issues with java
20
21 # Makefile chunk which allows to display the files which should be included
22 # into the distribution.
23
24 # It is intended to be included in all Makefile.am 
25 VPATH = @srcdir@
26 pkgdatadir = $(datadir)/@PACKAGE@
27 pkglibdir = $(libdir)/@PACKAGE@
28 pkgincludedir = $(includedir)/@PACKAGE@
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 DIST_COMMON = $(srcdir)/../java_test.mk $(srcdir)/Makefile.am \
45         $(srcdir)/Makefile.in $(top_srcdir)/acmacro/dist-files.mk
46 subdir = examples/java/ping_pong
47 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
48 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
49         $(top_srcdir)/acmacro/compiler-flags.m4 \
50         $(top_srcdir)/acmacro/context.m4 \
51         $(top_srcdir)/acmacro/fancy_configury.m4 \
52         $(top_srcdir)/acmacro/flex.m4 \
53         $(top_srcdir)/acmacro/gras_arch.m4 \
54         $(top_srcdir)/acmacro/print_null.m4 \
55         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
56 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
57         $(ACLOCAL_M4)
58 mkinstalldirs = $(install_sh) -d
59 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
60 CONFIG_CLEAN_FILES =
61 SOURCES =
62 DIST_SOURCES =
63 CLASSPATH_ENV = CLASSPATH=$(JAVAROOT):$(srcdir)/$(JAVAROOT):$$CLASSPATH
64 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
65 ACLOCAL = @ACLOCAL@
66 ADDR2LINE = @ADDR2LINE@
67 AMTAR = @AMTAR@
68 AM_CPPFLAGS = @AM_CPPFLAGS@
69 AR = @AR@
70 AS = @AS@
71 AUTOCONF = @AUTOCONF@
72 AUTOHEADER = @AUTOHEADER@
73 AUTOMAKE = @AUTOMAKE@
74 AWK = @AWK@
75 BASH = @BASH@
76 CC = @CC@
77 CCDEPMODE = @CCDEPMODE@
78 CFLAGS = @CFLAGS@
79 CPP = @CPP@
80 CPPFLAGS = @CPPFLAGS@
81 CXX = @CXX@
82 CXXCPP = @CXXCPP@
83 CXXDEPMODE = @CXXDEPMODE@
84 CXXFLAGS = @CXXFLAGS@
85 CYGPATH_W = @CYGPATH_W@
86 DEFS = @DEFS@
87 DEPDIR = @DEPDIR@
88 DLLTOOL = @DLLTOOL@
89 DOXYGEN = @DOXYGEN@
90 ECHO = @ECHO@
91 ECHO_C = @ECHO_C@
92 ECHO_N = @ECHO_N@
93 ECHO_T = @ECHO_T@
94 EGREP = @EGREP@
95 EXEEXT = @EXEEXT@
96 FLEXML = @FLEXML@
97 GCJ = @GCJ@
98 GCJDEPMODE = @GCJDEPMODE@
99 GCJFLAGS = @GCJFLAGS@
100 GRAS_DEP = @GRAS_DEP@
101 GREP = @GREP@
102 INSTALL = @INSTALL@
103 INSTALL_DATA = @INSTALL_DATA@
104 INSTALL_PROGRAM = @INSTALL_PROGRAM@
105 INSTALL_SCRIPT = @INSTALL_SCRIPT@
106 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
107 JAR = @JAR@
108 JAVA = @JAVA@
109 JAVAC = @JAVAC@
110 LDFLAGS = @LDFLAGS@
111 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
112 LEX = @LEX@
113 LEXLIB = @LEXLIB@
114 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
115 LIBOBJS = @LIBOBJS@
116 LIBS = @LIBS@
117 LIBTOOL = @LIBTOOL@
118 LN_S = @LN_S@
119 LTLIBOBJS = @LTLIBOBJS@
120 MAINT = @MAINT@
121 MAKEINFO = @MAKEINFO@
122 MD5SUM = @MD5SUM@
123 MKDIR_P = @MKDIR_P@
124 OBJDUMP = @OBJDUMP@
125 OBJEXT = @OBJEXT@
126 PACKAGE = @PACKAGE@
127 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
128 PACKAGE_NAME = @PACKAGE_NAME@
129 PACKAGE_STRING = @PACKAGE_STRING@
130 PACKAGE_TARNAME = @PACKAGE_TARNAME@
131 PACKAGE_VERSION = @PACKAGE_VERSION@
132 PATH_SEPARATOR = @PATH_SEPARATOR@
133 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
134 RANLIB = @RANLIB@
135 SED = @SED@
136 SET_MAKE = @SET_MAKE@
137 SHELL = @SHELL@
138 SIMGRID_DEP = @SIMGRID_DEP@
139 SMPI_DEP = @SMPI_DEP@
140 STRIP = @STRIP@
141 VERSION = @VERSION@
142 WARNING = @WARNING@
143 abs_builddir = @abs_builddir@
144 abs_srcdir = @abs_srcdir@
145 abs_top_builddir = @abs_top_builddir@
146 abs_top_srcdir = @abs_top_srcdir@
147 ac_configure_args = @ac_configure_args@
148 ac_ct_CC = @ac_ct_CC@
149 ac_ct_CXX = @ac_ct_CXX@
150 am__include = @am__include@
151 am__leading_dot = @am__leading_dot@
152 am__quote = @am__quote@
153 am__tar = @am__tar@
154 am__untar = @am__untar@
155 bindir = @bindir@
156 build = @build@
157 build_alias = @build_alias@
158 build_cpu = @build_cpu@
159 build_id = @build_id@
160 build_os = @build_os@
161 build_vendor = @build_vendor@
162 builddir = @builddir@
163 datadir = @datadir@
164 datarootdir = @datarootdir@
165 docdir = @docdir@
166 dvidir = @dvidir@
167 exec_prefix = @exec_prefix@
168 host = @host@
169 host_alias = @host_alias@
170 host_cpu = @host_cpu@
171 host_os = @host_os@
172 host_vendor = @host_vendor@
173 htmldir = @htmldir@
174 includedir = @includedir@
175 infodir = @infodir@
176 install_sh = @install_sh@
177 libdir = @libdir@
178 libexecdir = @libexecdir@
179 localedir = @localedir@
180 localstatedir = @localstatedir@
181 mandir = @mandir@
182 mkdir_p = @mkdir_p@
183 oldincludedir = @oldincludedir@
184 pdfdir = @pdfdir@
185 prefix = @prefix@
186 program_transform_name = @program_transform_name@
187 psdir = @psdir@
188 pth_skaddr_makecontext = @pth_skaddr_makecontext@
189 pth_sksize_makecontext = @pth_sksize_makecontext@
190 sbindir = @sbindir@
191 sharedstatedir = @sharedstatedir@
192 srcdir = @srcdir@
193 sysconfdir = @sysconfdir@
194 target = @target@
195 target_alias = @target_alias@
196 target_cpu = @target_cpu@
197 target_os = @target_os@
198 target_vendor = @target_vendor@
199 top_builddir = @top_builddir@
200 top_srcdir = @top_srcdir@
201 EXTRA_DIST = ping_pong_deployment.xml ping_pong_platform.xml surfxml.dtd
202
203 # Declare sources:
204 noinst_JAVA = Sender.java Receiver.java PingPongTask.java PingPongTest.java
205
206 # Declare test class
207 #if HAVE_JAVA
208 TESTS = PingPongTest.class
209 JAVAROOT = .
210 AM_JAVACFLAGS = -cp $(top_srcdir)/src/simgrid.jar
211
212 ##########################
213 # What to do on make check
214 # We need to rely on an external script (../runtest) because automake adds a ./ in front of the test name
215 # We need to override LD_LIBRARY_PATH so that the VM finds the libsimgrid4java.so
216 # We need to override the CLASSPATH to add simgrid.jar and current dir to the picture
217 # We also need to express dependencies manually (in each test dir)
218 # Damn...
219 TESTS_ENVIRONMENT = LD_LIBRARY_PATH="$(top_srcdir)/src/.libs:$$LD_LIBRARY_PATH" \
220                   CLASSPATH=".:$(top_srcdir)/src/simgrid.jar:$$CLASSPATH" \
221                   $(srcdir)/../runtest 
222
223 all: all-am
224
225 .SUFFIXES:
226 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../java_test.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
227         @for dep in $?; do \
228           case '$(am__configure_deps)' in \
229             *$$dep*) \
230               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
231                 && exit 0; \
232               exit 1;; \
233           esac; \
234         done; \
235         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/java/ping_pong/Makefile'; \
236         cd $(top_srcdir) && \
237           $(AUTOMAKE) --gnu  examples/java/ping_pong/Makefile
238 .PRECIOUS: Makefile
239 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
240         @case '$?' in \
241           *config.status*) \
242             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
243           *) \
244             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
245             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
246         esac;
247
248 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
249         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
250
251 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
252         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
253 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
254         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
255
256 mostlyclean-libtool:
257         -rm -f *.lo
258
259 clean-libtool:
260         -rm -rf .libs _libs
261
262 classnoinst.stamp: $(noinst_JAVA)
263         @list1='$?'; list2=; if test -n "$$list1"; then \
264           for p in $$list1; do \
265             if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
266             list2="$$list2 $$d$$p"; \
267           done; \
268           echo '$(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) '"$$list2"; \
269           $(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) $$list2; \
270         else :; fi
271         echo timestamp > classnoinst.stamp
272
273 clean-noinstJAVA:
274         -rm -f *.class classnoinst.stamp
275 tags: TAGS
276 TAGS:
277
278 ctags: CTAGS
279 CTAGS:
280
281
282 check-TESTS: $(TESTS)
283         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
284         srcdir=$(srcdir); export srcdir; \
285         list=' $(TESTS) '; \
286         if test -n "$$list"; then \
287           for tst in $$list; do \
288             if test -f ./$$tst; then dir=./; \
289             elif test -f $$tst; then dir=; \
290             else dir="$(srcdir)/"; fi; \
291             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
292               all=`expr $$all + 1`; \
293               case " $(XFAIL_TESTS) " in \
294               *$$ws$$tst$$ws*) \
295                 xpass=`expr $$xpass + 1`; \
296                 failed=`expr $$failed + 1`; \
297                 echo "XPASS: $$tst"; \
298               ;; \
299               *) \
300                 echo "PASS: $$tst"; \
301               ;; \
302               esac; \
303             elif test $$? -ne 77; then \
304               all=`expr $$all + 1`; \
305               case " $(XFAIL_TESTS) " in \
306               *$$ws$$tst$$ws*) \
307                 xfail=`expr $$xfail + 1`; \
308                 echo "XFAIL: $$tst"; \
309               ;; \
310               *) \
311                 failed=`expr $$failed + 1`; \
312                 echo "FAIL: $$tst"; \
313               ;; \
314               esac; \
315             else \
316               skip=`expr $$skip + 1`; \
317               echo "SKIP: $$tst"; \
318             fi; \
319           done; \
320           if test "$$failed" -eq 0; then \
321             if test "$$xfail" -eq 0; then \
322               banner="All $$all tests passed"; \
323             else \
324               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
325             fi; \
326           else \
327             if test "$$xpass" -eq 0; then \
328               banner="$$failed of $$all tests failed"; \
329             else \
330               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
331             fi; \
332           fi; \
333           dashes="$$banner"; \
334           skipped=""; \
335           if test "$$skip" -ne 0; then \
336             skipped="($$skip tests were not run)"; \
337             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
338               dashes="$$skipped"; \
339           fi; \
340           report=""; \
341           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
342             report="Please report to $(PACKAGE_BUGREPORT)"; \
343             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
344               dashes="$$report"; \
345           fi; \
346           dashes=`echo "$$dashes" | sed s/./=/g`; \
347           echo "$$dashes"; \
348           echo "$$banner"; \
349           test -z "$$skipped" || echo "$$skipped"; \
350           test -z "$$report" || echo "$$report"; \
351           echo "$$dashes"; \
352           test "$$failed" -eq 0; \
353         else :; fi
354
355 distdir: $(DISTFILES)
356         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
357         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
358         list='$(DISTFILES)'; \
359           dist_files=`for file in $$list; do echo $$file; done | \
360           sed -e "s|^$$srcdirstrip/||;t" \
361               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
362         case $$dist_files in \
363           */*) $(MKDIR_P) `echo "$$dist_files" | \
364                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
365                            sort -u` ;; \
366         esac; \
367         for file in $$dist_files; do \
368           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
369           if test -d $$d/$$file; then \
370             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
371             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
372               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
373             fi; \
374             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
375           else \
376             test -f $(distdir)/$$file \
377             || cp -p $$d/$$file $(distdir)/$$file \
378             || exit 1; \
379           fi; \
380         done
381 check-am: all-am
382         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
383 check: check-am
384 all-am: Makefile classnoinst.stamp
385 installdirs:
386 install: install-am
387 install-exec: install-exec-am
388 install-data: install-data-am
389 uninstall: uninstall-am
390
391 install-am: all-am
392         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
393
394 installcheck: installcheck-am
395 install-strip:
396         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
397           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
398           `test -z '$(STRIP)' || \
399             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
400 mostlyclean-generic:
401
402 clean-generic:
403
404 distclean-generic:
405         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
406
407 maintainer-clean-generic:
408         @echo "This command is intended for maintainers to use"
409         @echo "it deletes files that may require special tools to rebuild."
410 clean: clean-am
411
412 clean-am: clean-generic clean-libtool clean-noinstJAVA mostlyclean-am
413
414 distclean: distclean-am
415         -rm -f Makefile
416 distclean-am: clean-am distclean-generic
417
418 dvi: dvi-am
419
420 dvi-am:
421
422 html: html-am
423
424 info: info-am
425
426 info-am:
427
428 install-data-am:
429
430 install-dvi: install-dvi-am
431
432 install-exec-am:
433
434 install-html: install-html-am
435
436 install-info: install-info-am
437
438 install-man:
439
440 install-pdf: install-pdf-am
441
442 install-ps: install-ps-am
443
444 installcheck-am:
445
446 maintainer-clean: maintainer-clean-am
447         -rm -f Makefile
448 maintainer-clean-am: distclean-am maintainer-clean-generic
449
450 mostlyclean: mostlyclean-am
451
452 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
453
454 pdf: pdf-am
455
456 pdf-am:
457
458 ps: ps-am
459
460 ps-am:
461
462 uninstall-am:
463
464 .MAKE: install-am install-strip
465
466 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
467         clean-libtool clean-noinstJAVA distclean distclean-generic \
468         distclean-libtool distdir dvi dvi-am html html-am info info-am \
469         install install-am install-data install-data-am install-dvi \
470         install-dvi-am install-exec install-exec-am install-html \
471         install-html-am install-info install-info-am install-man \
472         install-pdf install-pdf-am install-ps install-ps-am \
473         install-strip installcheck installcheck-am installdirs \
474         maintainer-clean maintainer-clean-generic mostlyclean \
475         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
476         uninstall uninstall-am
477
478
479 # declare that we must recompile everything before lauching tests
480 $(TESTS): classnoinst.stamp
481
482 dist-files:
483         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
484         @echo
485         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
486 #endif
487
488 # Cruft
489 # Tell versions [3.59,3.63) of GNU make to not export all variables.
490 # Otherwise a system limit (for SysV at least) may be exceeded.
491 .NOEXPORT: